<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for  - Sturen verwijzing huisarts naar SEH </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario cda-hwh-s -->

   <!-- cda-hwh-s -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.3-2015-12-22T000000.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.3-2015-12-22T000000-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- AnnotationComment -->
   <include href="include/1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.sch"/>
   <!-- MedicationAdministrationInstructionCDA -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.113-2013-12-21T000000.sch"/>
   <!-- MedicationInformation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.116-2013-12-21T000000.sch"/>
   <!-- MedicationSupplyOrder -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.123-2014-04-30T000000.sch"/>
   <!-- TransportationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.203-2015-12-27T000000.sch"/>
   <!-- AcuityAssessmentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.204-2015-12-27T000000.sch"/>
   <!-- ClinicalInformationSummarySection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.205-2015-12-27T000000.sch"/>
   <!-- PlanofCareSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.206-2016-02-25T000000.sch"/>
   <!-- PhysicalFindingSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.207-2015-12-27T000000.sch"/>
   <!-- PatientReferralAct -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.301-2016-02-25T000000.sch"/>
   <!-- TransportationAct -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.sch"/>
   <!-- AcuityAssessmentAct -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.306-2016-02-25T000000.sch"/>
   <!-- ComplaintsAct -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.307-2016-02-25T000000.sch"/>
   <!-- AcuityCriteria -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.sch"/>
   <!-- ProblemObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.309-2016-02-25T000000.sch"/>
   <!-- PlannedActivities -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.sch"/>
   <!-- Advices -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.311-2016-02-25T000000.sch"/>
   <!-- AgeObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.312-2015-12-27T000000.sch"/>
   <!-- kezo-Contactmoment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.201-2015-07-08T000000.sch"/>
   <!-- kezo-Algemenebepaling -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.202-2013-12-31T000000.sch"/>
   <!-- kezo-Labbepaling -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.203-2014-04-03T000000.sch"/>
   <!-- kezo-Voorschrift -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.204-2015-09-09T000000.sch"/>
   <!-- kezo-IndicatieDiagnose -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.205-2014-04-30T000000.sch"/>
   <!-- kezo-Contactverslag -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.207-2015-06-01T000000.sch"/>
   <!-- kezo-Subjective -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.208-2015-06-01T000000.sch"/>
   <!-- kezo-Objective -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.sch"/>
   <!-- kezo-Assessment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.210-2015-06-01T000000.sch"/>
   <!-- kezo-Plan -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.211-2015-06-01T000000.sch"/>
   <!-- kezo-Problemconcernact -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.212-2015-07-03T000000.sch"/>
   <!-- kezo-Problemobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.213-2015-07-03T000000.sch"/>
   <!-- kezo-Alert -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.214-2015-11-25T000000.sch"/>
   <!-- kezo-Allergyconcernact -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.sch"/>
   <!-- kezo-AllergyIntoleranceobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.sch"/>
   <!-- kezo-Reactionobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.217-2015-07-15T000000.sch"/>
   <!-- kezo-Criticalityobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.218-2015-08-21T000000.sch"/>
   <!-- kezo-Severityobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.219-2015-07-15T000000.sch"/>
   <!-- kezo-Exposureroute -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.220-2015-07-15T000000.sch"/>
   <!-- kezo-Note -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.221-2015-06-01T000000.sch"/>

</schema>
